Functions

# dmxdpms.h File Reference

Go to the source code of this file.

## Functions
void | dmxDPMSInit (DMXScreenInfo *dmxScreen)
void | dmxDPMSTerm (DMXScreenInfo *dmxScreen)
void | dmxDPMSWakeup (void)

## Detailed Description

Interface for DPMS extension support.

See also:
  dmxdpms.c

## Function Documentation

void dmxDPMSInit | ( | DMXScreenInfo * | dmxScreen | ) |

Initialize DPMS support. We save the current settings and turn off DPMS. The settings are restored in dmxDPMSTerm.

References _dmxDPMSInit(), _DMXScreenInfo::beDisplay, dmxSync(), and _DMXScreenInfo::savedTimeout.

Referenced by dmxBEScreenInit().

void dmxDPMSTerm | ( | DMXScreenInfo * | dmxScreen | ) |

Terminate DPMS support on dmxScreen. We restore the settings saved in dmxDPMSInit.

References _DMXScreenInfo::beDisplay, dmxSync(), _DMXScreenInfo::dpmsCapable, _DMXScreenInfo::dpmsEnabled, _DMXScreenInfo::dpmsOff, _DMXScreenInfo::dpmsStandby, _DMXScreenInfo::dpmsSuspend, and _DMXScreenInfo::savedTimeout.

Referenced by dmxBECloseScreen().

void dmxDPMSWakeup | ( | void |  | ) |

Called when activity is detected so that DPMS power-saving mode can be deactivated.